Welcome to XC PostProc

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage

The role of XC PostProc within an XConnect data collection system is to perform post-processing of the sensor data stored in the database. XC PostProc is used only with the database storage option. XC PostProc reads data from the sensor data tables, processes averages, minimums or maximums and stores the computed/post-processed data in the post-processed data tables.

Post-processed data in the database is gathered from “Poll Groups”. These poll groups are comprised of sites and sensors based on some defined selection criteria (e.g. all sites with the rain gauge sensor, or all sites in a particular basin or latitude etc.). The sites and sensors belonging to a poll group are all processed from the database at the same time. The user has complete control over how the poll groups are defined.

XC PostProc is actually a 2-part application. XC PostProc has a user-interface part and a background service part. The service runs in the background is visible by the [image] icon in the system tray (the system tray is where the date and time are displayed). All processing is performed by the service. Upon installation, the service is automatically installed and running when the computer powers up. The post-processing service must be running to perform post-processing computations as well as edit post-processing poll group parameters.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around XC PostProc

Moving around XC Export

The XC Export application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Status Window provides the user with informational or error messages related to data exporting.

  • The Detail Level provides user with controls to increase the level of status messages displayed or pause the display.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Creating a simple poll group

Follow these steps to create a simple post-processing poll group.

  1. Click the XC PostProc icon on the desktop. The XC Export application starts minimized.

  2. From the Options menu, select PostProc Parameters or from the toolbar click on the [image] icon.

  3. The Post Processing Parameters window will appear.

  4. Click on the New button to create a Poll group. XC PostProc will automatically assign the next available poll group number. The first Poll group will be 1. The poll group number will increment automatically as you add more Poll groups. Right clicking on the Poll Group list and clicking on the New menu option will also create new poll groups.

  5. The poll group will automatically be "enabled". Enable so that this Poll group will be active and process data.

  6. Select the processing Interval for the poll group. Most likely, DAILY or MONTHLY will be chosen for post-processing.

  7. Select the processing Function to perform on the sensor data. It can be AVG, MIN, MAX, CNT, SUM, LAST, STDEV, DELTA.

  8. Specify a Start From date to begin the post-processing. The Start From field will automatically be updated to the date and time of the last data processed.

  9. Add site-sensor combinations to the Site-sensor list box. Click or highlight a site/station in the Sites list box. The sensors associated with the site will be displayed in the Sensors list box. Add the site-sensor combination by double clicking on the sensor or highlighting the sensor and click the Add button. It is possible to select multiple sensors and add all of them to the Site-sensor list. You can also remove the site-sensor combination by clicking on the Remove button.

  10. Click Save button to save all poll group changes. This is very important. You can also right click and select the Save menu option to save the poll group details.

  11. You can now do a test export by manually executing the poll group.


Poll group setup parameters

In setting up XC PostProc, poll groups must be defined. These poll groups are comprised of sites, sensors and a processing option based on some defined selection criteria (e.g. all sites with the rain gauge sensor, or all sites in a particular basin or latitude etc.). The data for sites and sensors belonging to a poll group are processed from the database at the same time. To set these parameters:

  1. Click the XC PostProc icon on the desktop. The XC PostProc application starts minimized.

  2. From the Options menu, select PostProcessing Parameters or from the toolbar click on the [image] icon.

  3. The Post Processsing Parameters window will appear.

From this window you can create and make changes to all poll groups. When you are finished, click the Save button to save changes. Clicking Close will only close the window without saving changes.

Export poll group parameters

  • Groups - List of current post-processing poll groups. Select from the list to display the post-processing parameters associated with the poll group.

  • New - Click this button to create/add a poll group. The first poll group will be 1. The poll group number will increment automatically as you add more Poll groups. Right clicking on the Poll Group list and clicking on the New menu option will also create new poll groups.

  • Delete - Click this button to delete the currently displayed poll group.

  • Delete All - Click this button to delete all poll groups. Use with caution!

  • Save - Click this button to save all post-processing parameters for currently displayed poll group.

  • Copy - Click this button to copy the post-processing parameters from one poll group to another.

  • Enable - This flag indicates the poll group is active and ready to be polled/processed. Poll groups can be created but left "inactive" until a later date.

  • Interval - This parameter indicates how often to run the computation/function. If DAILY is chosen then XC PostProc will execute this poll group every day at 00:00:0. If MONTHLY is chosen, it will execute the poll at 00:00:00 of the first day of each month. If As Entered: is chosen, the use can specify a custom time interval to execute the poll.

  • Function Name - This parameter indicates the type of post-processing to apply to the retrieved sensor values. The available functions are: AVG, MIN, MAX, CNT, SUM, LAST, STDEV, DELTA.

    • AVG - computes an arithmetic average

    • MIN - determines the minimum value for the Interval specified.

    • MAX - determines the maximum value for the Interval specified.

    • CNT - computes the total number of sensor values recorded/stored in the database for the Interval specified.

    • SUM - computes the sum of all the sensor values stored in the database for the Interval specified.

    • FIRST - determines the first value stored in the database for a specific sensor for the Interval specified. Using Parameters to enter a number to indicate the position from the beginning. e.g. 5 means the fifth value in that period. If leave blank, return the first value.

    • LAST - determines the last value stored in the database for a specific sensor for the Interval specified. Using Parameters to enter a number to indicate the position from the end. e.g. 5 means the last fifth value in that period. If leave blank, return the last value.

    • STDDEV - computes the standard deviation for the Interval specified.

    • DELTA - computes the delta between the first value in the Interval and the last value in the Interval specified. Using Parameters to enter a number to indicate the Rollover Constant. Rollover Constant is the number added to the calculated delta value in order to make it positive.

  • Parameters - A parameter field that can be passed into function when it is being calculated. The format and meanings are depending on the functions.

    • FIRST - Accept a number to indicate the position from the beginning. e.g. For hourly data, enter 12 to get the noon value for the day.

    • LAST - Accept a number to indicate the position from the end. e.g. For hourly data, enter 12 to get the noon value for the day.

    • DELTA - Accept a number to indicate the Rollover Constant. Rollover Constant is the number added to the calculated delta value in order to make it positive.

  • Start From - Specify start time for requesting data from the database. The Start field will automatically be updated to the date and time of the last data received unless Skip Update is checked in which case it will always be the same entry.

  • Data Offset Time -

  • Data Flags - This field allows the user to control the data quality of the exported data All Data indicates any data for that sensor in the database will be exported. The default is All Data. Good Data indicates sensor data that does not have any alarm flag fields checked. These alarm flag fields are evaluated by XC Alarm or other custom applications. If the sensor data is evaluated to exceed a threshold, then the corresponding flag field is checked in the database.

  • Filter File - . Filter files affect the list of sites displayed in the Sites list box. In a very large system (> 100 sites), browsing through such a long list of sites is difficult. Select a Filter File to reduce the list of site displayed to a specific list targeting the export purpose. Filter files can be created in XC DataView. Filter files are ASCII files with a .FLT extension containing statements used to filter/reduce the site list. The examples show the contents of different filter files.

Example 1:

LATITUDE < 42.866111

SENSOR = GH

ENABLED = Y

Example 2:

BASIN = REGION1

SENSOR = BATTERY

  • Sites - List of sites/stations available in database. If a filter file is used, this reflects the list of sites adhering to the filter statements.

  • Sites-Sensors Selected - List of sensor that will be exported in this poll group.

  • Data Label - This parameter represent a data label that represents the computed value. In most case, a different name will be given to processed sensor value rather than the original sensor label. The Data Label must be unique. When viewing post-processed data in XC DataView or XC Reports, the Data Label name will be used to generate the list of available sensors to display. The Data Label is stored in the XC_PPDATA1 data table of the XConnect database.

  • Alternate Data Label - This parameter is provided if an alternate data label is desired by the user. The Data Label is stored in the XC_PPDATA1 data table of the XConnect database.


Manual Post-Processing

XC PostProc will automatically process data based on the Interval of the active post-processing poll groups. However, if the user does not want to wait for the Next Polling Time as displayed in the detail panel of the status window, the user can trigger any poll group. To trigger an on-demand decoding interval:

  1. Click the XC ProstProc icon on the desktop. The XC Export application starts minimized.

  2. From the PostProcess menu, select Process Data or from the toolbar click on the [image] icon.

  3. The Select Process Data window will appear.

  4. Select desired poll group number to manually trigger and click Ok.


Logging status messages

The purpose of the Log Status Messages is for troubleshooting. Logging all messages, will provide Sutron customer support a historical log of all events to help troubleshoot any problems. To log all status messages:

  1. Click the XC PostProc icon on the desktop. The XC PostProc application starts minimized.

  2. From the Options menu, select Log Status Messages or from the toolbar click on the [image] icon. The user will be required to enter/select the name of the file to store the status messages.


Messages in the status window

Below are the status messages XC Export will display in the status window as it retrieves and process data from the database:

  • Connected to database xxx.

  • Disconnected from xxx.

  • xxx database NOT connected.

  • PollGroup x: Retrieving data...

  • Startup parameters loaded.

  • Post processing service started.

  • Post processing service stopped.


XConnect Database Schema

XConnect consists of a set of 4 “management” tables and a set of 4 "data" tables. The XConnect tables are designed to provide a great deal of flexibility in:

  • Naming of stations and data parameters

  • Grouping data through such attributes as river basin or political boundaries

  • Managing the size of data tables so that performance is maximized

The four management tables are:

  1. XC_SITES - Contains stations in XConnect system.

  2. XC_SITESENSORS - Contains sensors of stations in XConnect system.

The four data tables are:

  1. XC_DATA1 - Contains numerical sensor data.

  2. XC_TXTDATA1 - Contains text sensor data.

  3. XC_PPDATA1 - Contains data from post-processing instructions and operations.

  4. XC_GOESQC - Contains satellite message quality data.

  5. XC_RTUQC - Contains SSP communication data.

XC_SITES

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station in XConnect
ENABLED | Character | 1 | Y | Active station (Y/N)
UNIT_ID | Character | 15 | N | RTU Unit ID
SITE_COMMENT | Character | 32 | N | General purpose string for comments on station
INSTALLATION_DATE | Date |  | N | Date station was installed
AGENCY | Character | 32 | N | Agency or organization that owns the station
COUNTRY | Character | 32 | N | Country where site is located
DISTRICT | Character | 32 | N | District where station is located
CITY | Character | 32 | N | City where station is located
STATE | Character | 32 | N | State where station is located
COUNTY | Character | 32 | N | County where station is located
BASIN | Character | 32 | N | Rriver basin where station is located
LATITUDE | Number |  | N | Latitude of station location
LONGITUDE | Number |  | N | Longitude of station location
ELEVATION | Number |  | N | Elevation of station
WEIGHTING_FACTOR | Number |  | N | Precipation station weighting for map calculation
COEFFICIENT1 | Number |  | N | General purpose coefficient 1
COEFFICIENT2 | Number |  | N | General purpose coefficient 2
COEFFICIENT3 | Number |  | N | General purpose coefficient 3
SATELLITE_ID | Character | 8 | N | Satellite/NESDIS identifier
PRIMARY_CHANNEL | Number |  | N | Primary satellite transmission channel
RANDOM_CHANNEL | Number |  | N | Secondary satellite transmission channel
REPORTING_TIME | Time |  | N | Assigned satellite transmission time slot
REPORTING_INTERVAL | Number |  | N | Assigned satellite transmission interval
LAST_UPDATE | Date |  | N | Time of last data received for station
TZONE_CODE | Character | 3 | N | ASCII time zone code, e.g., EST
GMT_OFFSET | Number |  | N | Time zone offset from GMT
SHEF_ID | Character | 8 | N | SHEF code for station
ALTERNATE_CHAR_ID_1 | Character | 10 | N | Alternate character ID 1
ALTERNATE_CHAR_ID_2 | Character | 10 | N | Alternate character ID 2
GPSTRING1 | Character | 20 | N | General purpose string 1
GPSTRING2 | Character | 20 | N | General purpose string 2
GPNUMBER1 | Number |  | N | General purpose number 1
GPNUMBER2 | Number |  | N | General purpose number 2
SETUP_FILE_NAME | Character | 255 | N | Filename of data logger setup file
PICTURE_FILE_NAME | Character | 255 | N | Filename of image of station

XC_SITESENSORS

Name | Data Type | Length | Required | Description
STE_STATION_ID (FK) | Character | 20 | Y | Name of station in XConnect
SENSORNAME (PK) | Character | 12 | Y | Name of sensor in XConnect
ENABLED | Character | 1 | Y | Active sensor enabled for porcessing (Y/N)
DATA_TABLE | Character | 10 | Y | Data table name where sensor is stored
DESCRIPTION | Character | 32 | N | General purpose string for comments on sensor
MANUFACTURER | Character | 20 | N | Manufacturer of sensor
MODEL_NUMBER | Character | 20 | N | Model number of sensor
SHEF_PE_CODE | Character | 7 | N | SHEF code for sensor
PARAMETER_CODE | Character | 12 | N | Parameter code applied for sensor
ALT_PARAMETER_CODE_1 | Character | 12 | N | Alternate parameter code 1
ALT_PARAMETER_CODE_2 | Character | 12 | N | Alternate parameter code 2
EQUATION | Character | 128 | N | Equation applied to sensor
RATING_TABLE | Character | 128 | N | Filename of rating/lookup table applied to sensor
OFFSET | Number |  | N | General purpose offset number
SHIFT | Number |  | N | General purpose shift number
HIGH_HIGH_LIMIT | Number |  | N | High high limit for sensor
HIGH_HIGH_ALARM | Number |  | N | How to apply High High limit: NONE, ABOVE, BELOW
HIGH_LIMIT | Number |  | N | High limit for sensor
HIGH_ALARM | Number |  | N | How to apply High limit: NONE, ABOVE, BELOW
LOW_LIMIT | Number |  | N | Low limit for sensor
LOW_ALARM | Number |  | N | How to apply Low limit: NONE, ABOVE, BELOW
LOW_LOW_LIMIT | Number |  | N | Low low limit for sensor
LOW_LOW_ALARM | Number |  | N | How to apply Low Low limit: NONE, ABOVE, BELOW
ROC_LIMIT | Number |  | N | Rate of change limit for sensor (per second)
ROC_ALARM | Number |  | N | How to apply Rate of Change limit: NONE, ABOVE, BELOW
ROC_INTERVAL | Number |  | N | Interval (seconds) over which rate of change is computed
DEADBAND | Number |  | N | Tolerance or allowable change in No Change where the alarm will not trigger
NO_CHANGE_INTERVAL | Number |  | N | Maximum time allowed for no change in sensor value expressed in days and fractions
NO_CHANGE_ALARM | Number |  | N | How to apply No Change limit: NONE, ON
TEXT_LIMIT | Character | 32 | N | Text that corresponds to an alarm condition for a text sensor data
TEXT_ALARM | Number |  | N | How to apply Text alarm: NONE, ON
COEFFICIENT1 | Number |  | N | General purpose coefficient 1
COEFFICIENT2 | Number |  | N | General purpose coefficient 2
COEFFICIENT3 | Number |  | N | General purpose coefficient 3
COEFFICIENT4 | Number |  | N | General purpose coefficient 4
COEFFICIENT5 | Number |  | N | General purpose coefficient 5
GPNUMBER1 | Number |  | N | General purpose number 1
GPNUMBER2 | Number |  | N | General purpose number 2
GPSTRING1 | Character | 20 | N | General purpose string 1
GPSTRING2 | Character | 20 | N | General purpose string 2
ALERT_ID | Number |  | N | ALERT identifier for sensor
ALERT_TYPE | Character | 10 | n | ALERT sensor type

XC_DATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
SENSORNAME (PK) | Character | 12 | Y | Name of sensor
TIME_TAG (PK) | Date |  | Y | Date and time sensor value received
SOURCE (PK) | Character | 1 | Y | Source of data. Valid options are: S (Self-timed), R (Random), C (Current), T (Timetag)
ORIG_VALUE | Number |  | Y | Original data value as processed by XC Rtu or XC Decode
ED_VALUE | Number |  | N | Edited data value
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
FLAG4 | Character | 1 | N | General purpose quality flag 4
HIGH_HIGH_FLAG | Number |  | N | Status of high high flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
HIGH_FLAG | Number |  | N | Status of high flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
LOW_FLAG | Number |  | N | Status of low flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
LOW_LOW_FLAG | Number |  | N | Status of low low flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
ROC_FLAG | Number |  | N | Status of rate of change flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
NO_CHG_FLAG | Number |  | N | Status of no change flag. Valid options are: 0 (NORMAL), 1 (CHANGE)
ALARM_FLAG | Number |  | N | Status of alert flag. Valid options are: 0 (NORMAL), 1 (CHANGE)

XC_TXTDATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
SENSORNAME (PK) | Character | 12 | Y | Name of sensor
TIME_TAG (PK) | Number |  | Y | Date and time senor value received
SOURCE (PK) | Character | 1 | Y | Source of data. Valid options are: S (Self-timed), R (Random), C (Current), T (Timetag)
TEXT_VALUE | Character | 256 | Y | Original text value as received by XC Rtu or XC Decode
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
FLAG4 | Character | 1 | N | General purpose quality flag 4
MESSAGE_STATUS | Character | 2 | N | Status character used to track if message has been read, forward, etc.
TXT_ALARM_FLAG | Number |  | N | Status of text alarm flag. Valid options are: 0 (NORMAL), 1 (ALARM)

XC_PPDATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
DATA_LABEL (PK) | Character | 20 | Y | Name of computed value
PPI_NAME (PK) | Character | 5 | Y | Name of post processing instruction
TIME_TAG (PK) | Date |  | Y | Date and time of start of the post processing time period
TIME_PERIOD (PK) | Number |  | Y | Number of hours/days of data used by function
PP_VALUE | Number |  | Y | Post processed value
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
VALUE_TIME_TAG | Date |  | N | Exact time value occurred (i.e, Time of max value)
PROCESS_TIME_TAG | Date |  | Y | Date and time value was actually processed/calculated
SENSORNAME | Character | 12 | Y | Name of sensor calculations performed on
ALTERNATE_LABEL | Character | 20 | N | Alternate label for computed value

XC_GOESQC

Detailed descriptions of quality fields are in the NESDIS header topic under Advanced Topics.

Name | Data Type | Length | Required | Description
NESDIS_ID (PK) | Character | 8 | Y | NESDIS or satellite agency identifier
TIME_TAG (PK) | Date |  | Y | Date and time message was transmitted
SOURCE (PK) | Character | 1 | Y | Source of message. Valid options are: S (Self-timed), R (Random)
STATION_ID | Character | 20 | N | XConnect station name, if not defined, defaults to NESDIS ID
FAILURE_CODE | Character | 1 | N | Message status
SIG_STRENGTH | Number |  | N | Signal Strength
FREQ_OFFSET | Number |  | N | Frequency Offset
MOD_INDEX | Character | 1 | N | Modulation Index
MOD_QUAL | Character | 1 | N | Modulation Quality
CHANNEL | Number |  | N | Channel message transmitted on
SAT_LOC | Character | 1 | N | GOES satellite message transmitted to
UC_STATUS | Character | 2 | N | Uplink carrier status (NOT CURRENTLY USED - ALWAYS FF)
MESSAGE_LEN | Number |  | N | Transmitted message length
ACTUAL_LEN | Number |  | N | Actual received message length
PARITY NUMBER | Number |  | N | Number of parity characters in message
BUFFER_EMPTY | Number |  | N | Number of BUFFER EMPTY messages transmitted by station (SATLINK only)
BATTERY_VOLTAGE | Number |  | N | Battery voltage at station when message was transmitted
SPARE1 | Number |  | N | Spare field for future use
SPARE2 | Number |  | N | Spare field for future use

XC_RTUQC

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of the station SSP message was transmitted/received to/from
TIME_TAG (PK) | Date |  | Y | Date and time SSP message value transmitted/received
RX_TX (PK) | Character | 1 | Y | SSP messages was transmitted or received by XConnect
PORT | Character | 30 | N | Port SSP message was sent/received (i.e., COM!, COM2....)
SEQUENCENUM | Number |  | N | Sequence/flag number used in SSP message.
OPCODE | Number |  | N | SSP operation code (CurDataReq, TimeTagReq)
STATUS | Number |  | N | Status of SSP message (0 - None, 1 - Success, 2 - Failed)
RETRIES | Number |  | N | Number of retries used
GOOD | Number |  | N | Number of good messages received by the station
BAD | Number |  | N | Number of bad messages received by the station
CRC | Number |  | N | Number of SSP messages with CRC errors received by the station
BATTERY_VOLTAGE | Number |  | N | Battery Voltage from SSP message
SPARE1 | Number |  | N | Spare field for future use
SPARE2 | Number |  | N | Spare field for future use


Troubleshooting tips

Topic is under development


Error messages

Troubleshooting steps:

Ensure that:

  • Data source is configure properly.

Go to the Data Source (ODBC) control applet and verify configuration parameters and user has correct privileges to access database.

  • Verify network is functioning properly.

Check network cable connections or consult you network administrator for additional troubleshooting steps.

Troubleshooting steps:

Ensure that:

  • Data source is configure properly.

Go to the Data Source (ODBC) control applet and verify configuration parameters and user has correct privileges to access database.

  • Verify network is functioning properly.

Check network cable connections or consult you network administrator for additional troubleshooting steps.

Troubleshooting steps:

Potential reasons for error:

  • An expected error was encountered while trying to export data for this poll group.

View additional error messages to determine error.

Troubleshooting steps:

Ensure that:

  • File is not already in use by another application such as Notepad.

  • Ensure directory path of output file exists. Use Windows Explorer or My Computer to verify path.

Troubleshooting steps:

Reasons for error:

  • On the Run parameter of the poll group setup parameters, the user specified a program that used a command line parameter. For example, Excel.exe MyExcelOutput.xls. Executing this statement failed because the file, MyExcelOutput.xls, does not exist.

Return to XC Export, poll group setup window to correct any mistyped characters.

Specify the full path to the filename (c:\xconnect\export\MyExcelOutput.xls).

Troubleshooting steps:

Reasons for error:

  • On the Run parameter if the poll group setup parameters, the user specified a program that used a command line parameter. For example, Excel.exe MyExcelOutput.xls. Executing this statment failed because the file, MyExcelOutput.xls, does not exist.

Return to XC Export, poll group setup window to correct any mistyped characters.

Specify the full path for the program and the filename (c:\msoffice\excel.exe c:\xconnect\export\MyExcelOutput.xls).

Troubleshooting steps:

Reasons for error:

  • After retrieving the data from the database, XC Export separates the time stamps and data values in to separate list to prepare for formatting. If the number of time stamps and data values are NOT the same, this error will occur and exporting will for this poll group will be stopped.

This error should never occur. If it does, it may indicate memory corruption. Close XC Export and restart. Manually test this poll group.

Troubleshooting steps:

Ensure that:

  • Station and sensor are configured in the database.

Start XC Reports and verify data from this station and sensor. If not, start XC Desktop and save station and sensor to database.

  • Data source is configure properly.

Go to the Data Source (ODBC) control applet and verify configuration parameters and user has correct privileges to access database.

  • Verify network is functioning properly.

Check network cable connections or consult you network administrator for additional troubleshooting steps.

Troubleshooting steps:

Ensure that:

  • Station and sensor are configured in the database.

Start XC Reports and verify data from this station and sensor. If not, start XC Desktop and save station and sensor to database.

  • Data source is configured properly.

Go to the Data Source (ODBC) control applet and verify configuration parameters and user has correct privileges to access database.

  • Verify network is functioning properly.

Check network cable connections or consult you network administrator for additional troubleshooting steps.

Troubleshooting steps:

Reasons for error:

  • User has selected a SHEF .E export format and a Data Interval has not been specified. The .E format denotes a single station, single parameter with an evenly spaced time series.

Return to XC Export poll group setup window to specify a Data Interval for SHEF export group.

Troubleshooting steps:

Ensure that:

  • Station and sensor are configured in the database.

Start XC Reports and verify data from this station and sensor. If not, start XC Desktop and save station and sensor to database.

  • Data source is configure properly.

Go to the Data Source (ODBC) control applet and verify configuration parameters and user has correct privileges to access database.

  • Verify network is functioning properly.

Check network cable connections or consult you network administrator for additional troubleshooting steps.

Error Messages

Potential error messages generated by XC PostProc are:

Error 1300: Unable to connect to database.

Error 1301: Unable to close database xxx.

Error 1302: PollGroup x: Data export failed.

Error 1303: PollGroup x: Unable to open Output File.

Error 1304: PollGroup x: Unable to run program. Output File does not exist.

Error 1305: PollGroup x: Failed to run program.

Error 1306: Unable to export data because Data Value or Time Tag is missing.

Error 1307: Primary database query failed for station.sensor.

Error 1308: Secondary database query failed for station.sensor.

Error 1309: Unable to export because data interval is not specified.

Error 1310: Database query failed for station.sensor.


Detail Panel

The Detail Panel

The Detail panel shows the next export poll group and allows the user to control the level of messages displayed in the status windows.

The Next Poll Group and Next Polling Time fields show the next scheduled export poll group and the time the poll group will trigger.

Message Detail options are:

  • Low - indicates only error messages will be displayed.

  • Med - indicates error messages, warning messages and brief status messages will be displayed.

  • High - indicates all messages will be displayed. In High detail, actual retrieved values and their corresponding time stamps will be displayed.

Detail level: Low only errors are displayed

PollGroup 1: ERROR! Data export failed, database is not connected.

PollGroup 2: ERROR! Unable to open Output File.

Error messages are usually caused by the database being offline, or by a network file server error. If the database is offline then no data will be exported. However, the program will try to connect again to the database the next time data export is due.

Detail level: Medium errors and warnings are displayed

PollGroup 1: WARNING! No data was found since last export at 06/01/2001 11:30:00.

PollGroup 2: WARNING! No data was found since last export at 06/01/2001 10:30:00.

Warning messages usually result if there was no data found for the date and time specified.

Detail level: High errors, warnings and status messages are displayed

PollGroup 1: Data exported successfully to C:\Test\ASCII0531.txt, Last data at 06/01/2001 11:30:00.

PollGroup 2: ERROR! Unable to export data because Data Value or Time Tag is missing.

PollGroup 3: WARNING! No data was found since last export at 06/01/2001 11:30:00.


Main window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Exit -- terminates the application.

Database

  • Connect -- selects and connects to XConnect database used for post processing.

  • Disconnect -- disconnects from XConnect database used for post processing..

PostProcess

  • Export Data -- allows user to manually select a poll group to export immediately.

  • Stop Export -- stops export schedule.

  • Start Service -- start Post Processing service.

  • Stop Service -- stops Post Processing service.

Options

  • Edit Setup Parameters -- edits the export pollgroup parameters.

  • Clear Status Messages -- clears the status window.

  • Log Status Messages -- logs all status messages to a disk file.

Help

  • XC PostProc Help -- accesses this help system an defaults to Index tab.

  • XC PostProc Contents -- accesses this help system an defaults to Contents

  • About -- gets version information for this application.


Status Window

The Status Window

The Status window gives a list of exporting events performed by the XC Export program.

This list of status messages is in time order with each entry stamped with the date and time. Newest messages will appear at the top. Scroll bars will appear as needed to allow an operator to view parts of the display that may not fit in the window.


StatusBar

The Status Bar

The Status Bar displays parameter hints.


Toolbar

The XC PostProc Toolbar

The toolbar area allows you to quickly access various XC Export functions.

The following tools are provided:

Manually select an export group and export data immediately.

Stop exporting and export schedule.

Edit the setup parameters for XC Decode.

Clear status messages in status windows.

Log all status messages in log file.

Open the on-line help (this document).